Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network231.192.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
231.192.0.0
Broadcast address
231.207.255.255
First usable
231.192.0.1
Last usable
231.207.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E7C00000 · Integer 3888119808 to 3889168383
Reverse DNS zones
192.231.in-addr.arpa
193.231.in-addr.arpa
194.231.in-addr.arpa
195.231.in-addr.arpa
196.231.in-addr.arpa
197.231.in-addr.arpa
198.231.in-addr.arpa
199.231.in-addr.arpa
200.231.in-addr.arpa
201.231.in-addr.arpa
202.231.in-addr.arpa
203.231.in-addr.arpa
204.231.in-addr.arpa
205.231.in-addr.arpa
206.231.in-addr.arpa
207.231.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100111.11000000.00000000.00000000231.192.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11100111.11000000.00000000.00000000231.192.0.0
Broadcast11100111.11001111.11111111.11111111231.207.255.255
Split into smaller subnets/19

231.192.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1231.192.0.0/19231.192.0.1 to 231.192.31.254231.192.31.2558,190
2231.192.32.0/19231.192.32.1 to 231.192.63.254231.192.63.2558,190
3231.192.64.0/19231.192.64.1 to 231.192.95.254231.192.95.2558,190
4231.192.96.0/19231.192.96.1 to 231.192.127.254231.192.127.2558,190
5231.192.128.0/19231.192.128.1 to 231.192.159.254231.192.159.2558,190
6231.192.160.0/19231.192.160.1 to 231.192.191.254231.192.191.2558,190
7231.192.192.0/19231.192.192.1 to 231.192.223.254231.192.223.2558,190
8231.192.224.0/19231.192.224.1 to 231.192.255.254231.192.255.2558,190
9231.193.0.0/19231.193.0.1 to 231.193.31.254231.193.31.2558,190
10231.193.32.0/19231.193.32.1 to 231.193.63.254231.193.63.2558,190
11231.193.64.0/19231.193.64.1 to 231.193.95.254231.193.95.2558,190
12231.193.96.0/19231.193.96.1 to 231.193.127.254231.193.127.2558,190
13231.193.128.0/19231.193.128.1 to 231.193.159.254231.193.159.2558,190
14231.193.160.0/19231.193.160.1 to 231.193.191.254231.193.191.2558,190
15231.193.192.0/19231.193.192.1 to 231.193.223.254231.193.223.2558,190
16231.193.224.0/19231.193.224.1 to 231.193.255.254231.193.255.2558,190
17231.194.0.0/19231.194.0.1 to 231.194.31.254231.194.31.2558,190
18231.194.32.0/19231.194.32.1 to 231.194.63.254231.194.63.2558,190
19231.194.64.0/19231.194.64.1 to 231.194.95.254231.194.95.2558,190
20231.194.96.0/19231.194.96.1 to 231.194.127.254231.194.127.2558,190
21231.194.128.0/19231.194.128.1 to 231.194.159.254231.194.159.2558,190
22231.194.160.0/19231.194.160.1 to 231.194.191.254231.194.191.2558,190
23231.194.192.0/19231.194.192.1 to 231.194.223.254231.194.223.2558,190
24231.194.224.0/19231.194.224.1 to 231.194.255.254231.194.255.2558,190
25231.195.0.0/19231.195.0.1 to 231.195.31.254231.195.31.2558,190
26231.195.32.0/19231.195.32.1 to 231.195.63.254231.195.63.2558,190
27231.195.64.0/19231.195.64.1 to 231.195.95.254231.195.95.2558,190
28231.195.96.0/19231.195.96.1 to 231.195.127.254231.195.127.2558,190
29231.195.128.0/19231.195.128.1 to 231.195.159.254231.195.159.2558,190
30231.195.160.0/19231.195.160.1 to 231.195.191.254231.195.191.2558,190
31231.195.192.0/19231.195.192.1 to 231.195.223.254231.195.223.2558,190
32231.195.224.0/19231.195.224.1 to 231.195.255.254231.195.255.2558,190
33231.196.0.0/19231.196.0.1 to 231.196.31.254231.196.31.2558,190
34231.196.32.0/19231.196.32.1 to 231.196.63.254231.196.63.2558,190
35231.196.64.0/19231.196.64.1 to 231.196.95.254231.196.95.2558,190
36231.196.96.0/19231.196.96.1 to 231.196.127.254231.196.127.2558,190
37231.196.128.0/19231.196.128.1 to 231.196.159.254231.196.159.2558,190
38231.196.160.0/19231.196.160.1 to 231.196.191.254231.196.191.2558,190
39231.196.192.0/19231.196.192.1 to 231.196.223.254231.196.223.2558,190
40231.196.224.0/19231.196.224.1 to 231.196.255.254231.196.255.2558,190
41231.197.0.0/19231.197.0.1 to 231.197.31.254231.197.31.2558,190
42231.197.32.0/19231.197.32.1 to 231.197.63.254231.197.63.2558,190
43231.197.64.0/19231.197.64.1 to 231.197.95.254231.197.95.2558,190
44231.197.96.0/19231.197.96.1 to 231.197.127.254231.197.127.2558,190
45231.197.128.0/19231.197.128.1 to 231.197.159.254231.197.159.2558,190
46231.197.160.0/19231.197.160.1 to 231.197.191.254231.197.191.2558,190
47231.197.192.0/19231.197.192.1 to 231.197.223.254231.197.223.2558,190
48231.197.224.0/19231.197.224.1 to 231.197.255.254231.197.255.2558,190
49231.198.0.0/19231.198.0.1 to 231.198.31.254231.198.31.2558,190
50231.198.32.0/19231.198.32.1 to 231.198.63.254231.198.63.2558,190
51231.198.64.0/19231.198.64.1 to 231.198.95.254231.198.95.2558,190
52231.198.96.0/19231.198.96.1 to 231.198.127.254231.198.127.2558,190
53231.198.128.0/19231.198.128.1 to 231.198.159.254231.198.159.2558,190
54231.198.160.0/19231.198.160.1 to 231.198.191.254231.198.191.2558,190
55231.198.192.0/19231.198.192.1 to 231.198.223.254231.198.223.2558,190
56231.198.224.0/19231.198.224.1 to 231.198.255.254231.198.255.2558,190
57231.199.0.0/19231.199.0.1 to 231.199.31.254231.199.31.2558,190
58231.199.32.0/19231.199.32.1 to 231.199.63.254231.199.63.2558,190
59231.199.64.0/19231.199.64.1 to 231.199.95.254231.199.95.2558,190
60231.199.96.0/19231.199.96.1 to 231.199.127.254231.199.127.2558,190
61231.199.128.0/19231.199.128.1 to 231.199.159.254231.199.159.2558,190
62231.199.160.0/19231.199.160.1 to 231.199.191.254231.199.191.2558,190
63231.199.192.0/19231.199.192.1 to 231.199.223.254231.199.223.2558,190
64231.199.224.0/19231.199.224.1 to 231.199.255.254231.199.255.2558,190
65231.200.0.0/19231.200.0.1 to 231.200.31.254231.200.31.2558,190
66231.200.32.0/19231.200.32.1 to 231.200.63.254231.200.63.2558,190
67231.200.64.0/19231.200.64.1 to 231.200.95.254231.200.95.2558,190
68231.200.96.0/19231.200.96.1 to 231.200.127.254231.200.127.2558,190
69231.200.128.0/19231.200.128.1 to 231.200.159.254231.200.159.2558,190
70231.200.160.0/19231.200.160.1 to 231.200.191.254231.200.191.2558,190
71231.200.192.0/19231.200.192.1 to 231.200.223.254231.200.223.2558,190
72231.200.224.0/19231.200.224.1 to 231.200.255.254231.200.255.2558,190
73231.201.0.0/19231.201.0.1 to 231.201.31.254231.201.31.2558,190
74231.201.32.0/19231.201.32.1 to 231.201.63.254231.201.63.2558,190
75231.201.64.0/19231.201.64.1 to 231.201.95.254231.201.95.2558,190
76231.201.96.0/19231.201.96.1 to 231.201.127.254231.201.127.2558,190
77231.201.128.0/19231.201.128.1 to 231.201.159.254231.201.159.2558,190
78231.201.160.0/19231.201.160.1 to 231.201.191.254231.201.191.2558,190
79231.201.192.0/19231.201.192.1 to 231.201.223.254231.201.223.2558,190
80231.201.224.0/19231.201.224.1 to 231.201.255.254231.201.255.2558,190
81231.202.0.0/19231.202.0.1 to 231.202.31.254231.202.31.2558,190
82231.202.32.0/19231.202.32.1 to 231.202.63.254231.202.63.2558,190
83231.202.64.0/19231.202.64.1 to 231.202.95.254231.202.95.2558,190
84231.202.96.0/19231.202.96.1 to 231.202.127.254231.202.127.2558,190
85231.202.128.0/19231.202.128.1 to 231.202.159.254231.202.159.2558,190
86231.202.160.0/19231.202.160.1 to 231.202.191.254231.202.191.2558,190
87231.202.192.0/19231.202.192.1 to 231.202.223.254231.202.223.2558,190
88231.202.224.0/19231.202.224.1 to 231.202.255.254231.202.255.2558,190
89231.203.0.0/19231.203.0.1 to 231.203.31.254231.203.31.2558,190
90231.203.32.0/19231.203.32.1 to 231.203.63.254231.203.63.2558,190
91231.203.64.0/19231.203.64.1 to 231.203.95.254231.203.95.2558,190
92231.203.96.0/19231.203.96.1 to 231.203.127.254231.203.127.2558,190
93231.203.128.0/19231.203.128.1 to 231.203.159.254231.203.159.2558,190
94231.203.160.0/19231.203.160.1 to 231.203.191.254231.203.191.2558,190
95231.203.192.0/19231.203.192.1 to 231.203.223.254231.203.223.2558,190
96231.203.224.0/19231.203.224.1 to 231.203.255.254231.203.255.2558,190
97231.204.0.0/19231.204.0.1 to 231.204.31.254231.204.31.2558,190
98231.204.32.0/19231.204.32.1 to 231.204.63.254231.204.63.2558,190
99231.204.64.0/19231.204.64.1 to 231.204.95.254231.204.95.2558,190
100231.204.96.0/19231.204.96.1 to 231.204.127.254231.204.127.2558,190
101231.204.128.0/19231.204.128.1 to 231.204.159.254231.204.159.2558,190
102231.204.160.0/19231.204.160.1 to 231.204.191.254231.204.191.2558,190
103231.204.192.0/19231.204.192.1 to 231.204.223.254231.204.223.2558,190
104231.204.224.0/19231.204.224.1 to 231.204.255.254231.204.255.2558,190
105231.205.0.0/19231.205.0.1 to 231.205.31.254231.205.31.2558,190
106231.205.32.0/19231.205.32.1 to 231.205.63.254231.205.63.2558,190
107231.205.64.0/19231.205.64.1 to 231.205.95.254231.205.95.2558,190
108231.205.96.0/19231.205.96.1 to 231.205.127.254231.205.127.2558,190
109231.205.128.0/19231.205.128.1 to 231.205.159.254231.205.159.2558,190
110231.205.160.0/19231.205.160.1 to 231.205.191.254231.205.191.2558,190
111231.205.192.0/19231.205.192.1 to 231.205.223.254231.205.223.2558,190
112231.205.224.0/19231.205.224.1 to 231.205.255.254231.205.255.2558,190
113231.206.0.0/19231.206.0.1 to 231.206.31.254231.206.31.2558,190
114231.206.32.0/19231.206.32.1 to 231.206.63.254231.206.63.2558,190
115231.206.64.0/19231.206.64.1 to 231.206.95.254231.206.95.2558,190
116231.206.96.0/19231.206.96.1 to 231.206.127.254231.206.127.2558,190
117231.206.128.0/19231.206.128.1 to 231.206.159.254231.206.159.2558,190
118231.206.160.0/19231.206.160.1 to 231.206.191.254231.206.191.2558,190
119231.206.192.0/19231.206.192.1 to 231.206.223.254231.206.223.2558,190
120231.206.224.0/19231.206.224.1 to 231.206.255.254231.206.255.2558,190
121231.207.0.0/19231.207.0.1 to 231.207.31.254231.207.31.2558,190
122231.207.32.0/19231.207.32.1 to 231.207.63.254231.207.63.2558,190
123231.207.64.0/19231.207.64.1 to 231.207.95.254231.207.95.2558,190
124231.207.96.0/19231.207.96.1 to 231.207.127.254231.207.127.2558,190
125231.207.128.0/19231.207.128.1 to 231.207.159.254231.207.159.2558,190
126231.207.160.0/19231.207.160.1 to 231.207.191.254231.207.191.2558,190
127231.207.192.0/19231.207.192.1 to 231.207.223.254231.207.223.2558,190
128231.207.224.0/19231.207.224.1 to 231.207.255.254231.207.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses